<?php
/**人
* コマンドラインに関するユーティリティ
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class CommandLineUtil
{
	/*
	 * 引数をパースし、連想配列にして返却する。
	 *
	 *    command -param1 value1 -param2 value2 ...
	 */
	public static function parseParams( $argv )
	{
		$param = NULL;
		$p_array = array();

		foreach( $argv as $arg ){
			if ( strpos($arg,'-') === 0 ){
				// ハイフンで始まる文字列はパラメータ名
				$param = substr($arg,1);
			}
			else if ( $param ){
				// パラメータ名の後の文字列は値
				$p_array[ $param ] = $arg;
				$param = NULL;
			}
		}

		return $p_array;
	}

}
